Bug 1444508 - Refresh doesn't remove the only and deleted ansible repository causing next deletion to fail
Summary: Refresh doesn't remove the only and deleted ansible repository causing next d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Marcel Hild
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible:repo
Depends On: 1437042
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 13:22 UTC by Satoe Imaishi
Modified: 2017-05-31 14:57 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1437042
Environment:
Last Closed: 2017-05-31 14:57:34 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 14:01:07 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/ca52fccf8841a7420fd1302464ebb110a74f65da

commit ca52fccf8841a7420fd1302464ebb110a74f65da
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu Apr 6 16:25:06 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 09:56:55 2017 -0400

    Merge pull request #14612 from durandom/ansible_empty_collection
    
    Ansible empty collection
    (cherry picked from commit 069ce7f35ef7cb20d6094e434c7da4f03e633603)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444508

 app/models/manager_refresh/inventory/persister.rb      | 14 +++++++++++++-
 .../ansible_shared/automation_manager/refresher.rb     | 18 ++++++++++++++++++
 2 files changed, 31 insertions(+), 1 deletion(-)

Comment 3 Dmitry Misharov 2017-05-02 10:48:09 UTC
Verified in 5.8.0.12-rc1.20170425180304_4f35996. Repositories are deleted correctly.

Comment 5 errata-xmlrpc 2017-05-31 14:57:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.